View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001744aMuleExternal Connpublic2015-01-13 00:292016-06-05 18:23
Reporterjrgutier 
Assigned ToMarcell 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version
Product Version2.3.1 
Target VersionFixed in VersionSVN 
Summary0001744: amulecmd search of Kad doesn't recognize search operators
Descriptionthe AND NOT and OR operators are parsed as normal words

i.e. doing
search kad swift NOT taylor
only results in files with the word 'not' in it, as well as the words 'taylor' and 'swift'.

Correct results would be all files with 'taylor' but not 'swift'

This doesn't happen in 2.2.6
Steps To Reproducesearch kad swift NOT taylor
TagsNo tags attached.
Fixed in Revision
Operating SystemAny
Attached Files

- Relationships

-  Notes
(0003687)
Marcell (developer)
2016-04-11 23:21

This bug was introduced by modifications for bug 0001386 by myself.
I will look for a solution to have both things working.
(0003690)
Marcell (developer)
2016-06-05 18:23

Changes that introduced this bug were undone. Bug 0001386 gets reopened.

- Issue History
Date Modified Username Field Change
2015-01-13 00:29 jrgutier New Issue
2016-04-07 19:39 Marcell Assigned To => Marcell
2016-04-07 19:39 Marcell Status new => assigned
2016-04-07 19:39 Marcell Description Updated View Revisions
2016-04-11 23:21 Marcell Note Added: 0003687
2016-06-05 18:23 Marcell Note Added: 0003690
2016-06-05 18:23 Marcell Status assigned => closed
2016-06-05 18:23 Marcell Resolution open => fixed
2016-06-05 18:23 Marcell Fixed in Version => SVN


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker